> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cursor-paginated list of Event



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/event/cursor
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/event/cursor:
    get:
      tags:
        - Event
      summary: Cursor-paginated list of Event
      operationId: listEventByCursor
      parameters:
        - description: 'Cursor: ID of the last item from the previous page'
          in: query
          name: after
          schema:
            type: string
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Event'
                    type: array
                  has_more:
                    type: boolean
                  next_cursor:
                    nullable: true
                    type: string
                type: object
          description: Paginated Event list
      security:
        - BearerAuth: []
components:
  schemas:
    Event:
      properties:
        brandingJson:
          type: string
        cfpStatus:
          type: string
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        endDate:
          format: date-time
          type: string
        id:
          type: string
        location:
          type: string
        name:
          type: string
        orgId:
          type: string
        schedulePublished:
          type: boolean
        slug:
          type: string
        startDate:
          format: date-time
          type: string
        timezone:
          type: string
      required:
        - id
        - orgId
        - name
        - slug
        - timezone
        - cfpStatus
        - schedulePublished
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````